<template>
  <div id="app" class="row justify-center">
    <q-btn @click="saveContent()">Save</q-btn>
    <vue-editor v-model="content"></vue-editor>
    <q-card>
      <q-card-title>
        Shit Story 2
      </q-card-title>
      <q-card-separator>
      </q-card-separator>
      <q-card-main>
        <div v-html="someContent"></div>
      </q-card-main>
    </q-card>
  </div>
</template>
<script>
  import {
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QBtn
  } from 'quasar'
  import { VueEditor } from 'vue2-quill-editor'
  export default {
    components: {
      QCard,
      QCardTitle,
      QCardSeparator,
      QBtn,
      QCardMain,
      VueEditor
    },
    data () {
      return {
        content: '<h3>Initial Content</h3>',
        someContent: '<h1><strong><s><u>This is the title!</u></s></strong></h1><p>This is all the nonsense that I choose to write!</p>'
      }
    },
    methods: {
      saveContent: function () {
        // You have the content to save
        console.log(this.content)
      }
    }
  }
</script>